[#confirmation]
= Input: Confirmation

The `confirmation` type argument is a special argument type, which simply disables the "Start" button until a checkbox is ticked. This can be useful if you have an action with no other arguments, but you want to prevent accidental button-clicks starting the action.

[source,yaml]
----
actions:
  - title: Delete old backups
    icon: ashtonished
    shell: rm -rf /opt/oldBackups/
    arguments:
      - type: confirmation
        title: Are you sure?!
----

image::action-confirmation.png[]

Notice in the webui the "start" button is disabled.


